org.custommonkey.xmlunit.jaxp13

## Class XMLUnitNamespaceContext2Jaxp13

- java.lang.Object
- - org.custommonkey.xmlunit.jaxp13.XMLUnitNamespaceContext2Jaxp13

All Implemented Interfaces:
  javax.xml.namespace.NamespaceContext

    public class XMLUnitNamespaceContext2Jaxp13
    extends java.lang.Object
    implements javax.xml.namespace.NamespaceContext

Adapts `XMLUnit's NamespaceContext` to `JAXP 1.3's NamespaceContext`.

### Constructor Summary

Constructors
Constructor and Description
`XMLUnitNamespaceContext2Jaxp13(NamespaceContext ctx)`

### Method Summary

Methods
`java.lang.String` `getNamespaceURI(java.lang.String prefix)`
`java.lang.String` `getPrefix(java.lang.String uri)`
`java.util.Iterator` `getPrefixes(java.lang.String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLUnitNamespaceContext2Jaxp13

    public XMLUnitNamespaceContext2Jaxp13(NamespaceContext ctx)

### Method Detail

#### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

Specified by:
  `getNamespaceURI` in interface `javax.xml.namespace.NamespaceContext`

#### getPrefixes

    public java.util.Iterator getPrefixes(java.lang.String uri)

Specified by:
  `getPrefixes` in interface `javax.xml.namespace.NamespaceContext`

#### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)

Specified by:
  `getPrefix` in interface `javax.xml.namespace.NamespaceContext`